'\"
'\" This man page was derived from the tk_button.3 man page.
'\" by Francis Gardner.
'\"
'\" 10/10/92
'\"
'\" Copyright 1990 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
'\"
'/"
.so man.macros
.HS stripchart cmds
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
stripchart \- Create and manipulate stripchart widgets
.SH SYNOPSIS
\fBvu_stripchart\fI \fIpathName \fR?\fIoptions\fR?
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 4c 8c 12c
\fBborderWidth\fR	\fBfont\fR	\fBrelief\fR	\fBcursor\fR
\fBbackground\fR
.fi
.LP
See the ``options'' manual entry for details on the standard options.
.SH "WIDGET-SPECIFIC OPTIONS"
.ta 4c
.LP
.nf
Name:   \fBvu_stripcolor\fR
Class:  \fBStripcolor\fR
Command-Line Switch:    \fB\-stripcolor\fR
.fi
.IP
Specifies the colour that the stripchart strips should be rendered.  On a
colour display this defaults to red and on a monochrome display the
default is black.  This switch can be abbreviated to -fg.
.LP
.nf
Name:   \fBtextcolor\fR
Class:  \fBTextcolor\fR
Command-Line Switch:    \fB\-textcolor\fR
.fi
.IP
Specifies the colour that stripchart text should be rendered.  On both
colour and monochrome displays this defaults to black.
.LP
.nf
Name:   \fBtickcolor\fR
Class:  \fBTickcolor\fR
Command-Line Switch:    \fB\-tickcolor\fR
.fi
.IP
Specifies the colour that stripchart ticks should be rendered.  On a
colour display this defaults to blue2 and on a monochrome display the
default is black.
.LP
.nf
Name:   \fBvu_stripborderwidth\fR
Class:  \fBStripborderwidth\fR
Command-Line Switch:    \fB\-stripborderwidth\fR
.fi
.IP
Specifies the width of a strip border.  Defaults to 0.
.LP
.nf
Name:   \fBcommand\fR
Class:  \fBCommand\fR
Command-Line Switch:    \fB\-command\fR
.fi
.IP
This is a Tcl command to be executed periodically when callback is started.
.LP
.nf
Name:   \fBinterval\fR
Class:  \fBInterval\fR
Command-Line Switch:    \fB\-interval\fR
.fi
.IP
This specifies the time between sucessive callbacks, in milliseconds.
.LP
.nf
Name:   \fBup\fR
Class:  \fBUp\fR
Command-Line Switch:    \fB\-up\fR
.fi
.IP
This boolean flag specifies whether or not strips are drawn up or down the
widget.  Defaults to true.
.LP
.nf
Name:   \fBaltbackground\fR
Class:  \fBBackground\fR
Command-Line Switch:    \fB\-altbackground\fR
.fi
.IP
Specifies the alternative background colour.  The default colour on a colour
display is red2 and black on a monoshrome display.
.LP
.nf
Name:   \fBaltstripcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-altstripcolor\fR
.fi
.IP
Specifies the alternative strip colour.  The default colour on a colour
display is green and white on a monoshrome display.
.LP
.nf
Name:   \fBalttextcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-alttextcolor\fR
.fi
.IP
Specifies the alternative text colour.  The default colour on both a colour
and monochrome display is white. 
.LP
.nf
Name:   \fBalttickcolor\fR
Class:  \fBForeground\fR
Command-Line Switch:    \fB\-alttickcolor\fR
.fi
.IP
Specifies the alternative tick colour.  The default colour on a colour
display is gray70 and white on a monoshrome display. 
.LP
.nf
Name:   \fBshowticks\fR
Class:  \fBShowticks\fR
Command-Line Switch:    \fB\-showticks\fR
.fi
.IP
This boolean flag specifies whether or not ticks should be displayed.
Defaults to true.
.LP
.nf
Name:   \fBguaranteedrawing\fR
Class:  \fBGuaranteedrawing\fR
Command-Line Switch:    \fB\-guaranteedrawing\fR
.fi
.IP
If this boolean flag is true then any graphical change that should be made
to the widget will be made to the widget.  Defaults to false.
The need for this flag arises because Tk drops all but the most recent redraw
request if there are several outstanding.  For most cases this is fine, but
the nature of the stripchart means that all redraws should be done.  If the
stripchart is updated slowly enough then duplicate redraw requests will
never arise.
.LP
.nf
Name:   \fBmin\fR
Class:  \fBMin\fR
Command-Line Switch:    \fB\-min\fR
.fi
.IP
Specifies the minimum value the stripchart can display.  Defaults to 0.
.LP
.nf
Name:   \fBmax\fR
Class:  \fBMax\fR
Command-Line Switch:    \fB\-max\fR
.fi
.IP
Specifies the maximum value the stripchart can display.  Defaults to 1000.
.LP
.nf
Name:   \fBnumstrips\fR
Class:  \fBNumstrips\fR
Command-Line Switch:    \fB\-numstrips\fR
.fi
.IP
Specifies the maximum number of strips that should be drawn.  When this
number is reached and further values need to be displayed the previous
values are scrolled to the left by a strip to make space for the new value.
.LP
.nf
Name:   \fBtitle\fR
Class:  \fBTitle\fR
Command-Line Switch:    \fB\-title\fR
.fi
.IP
This string is placed on the top of the widget as the widgets title.  By
default there is no title.  Specifying a blank title ("") will remove the
title.
.LP
.nf
Name:   \fBwidth\fR
Class:  \fBwidth\fR
Command-Line Switch:    \fB\-width\fR
.fi
.IP
Specifies the width of a strip in pixels.  The default width is 2 pixels.
.LP
.nf
Name:   \fBheight\fR
Class:  \fBHeight\fR
Command-Line Switch:    \fB\-height\fR
.fi
.IP
Specifies the height in pixels a strip should be when displaying the maximum
value (i.e. the maximum height of a strip).  The default is 80 pixels.
.LP
.nf
Name:   \fBvu_stripwidth\fR
Class:  \fBStripwidth\fR
Command-Line Switch:    \fB\-stripwidth\fR
.fi
.IP
Same as width above.
.LP
.nf
Name:   \fBnumticks\fR
Class:  \fBNumticks\fR
Command-Line Switch:    \fB\-numticks\fR
.fi
.IP
Specifies the number of ticks that should be displayed if ticks are being
shown.  Default is 11.  This option should really be tickinterval.
.LP
.nf
Name:   \fBvu_striprelief\fR
Class:  \fBStriprelief\fR
Command-Line Switch:    \fB\-striprelief\fR
.fi
.IP
Specifies the relief of the strips.  Can be one of "raised", "sunken" or
"none".  By default the relief is "none".
.LP
.nf
Name:   \fBdata\fR
Class:  \fBData\fR
Command-Line Switch:    \fB\-data\fR
.fi
.IP
This is a string that can be associated with each widget.
.LP
.nf
Name:   \fBuserbits\fR
Class:  \fBUserbits\fR
Command-Line Switch:    \fB\-userbits\fR
.fi
.IP
This is an integer that can be associated with each widget.
.BE

.SH DESCRIPTION
.PP
The \fBvu_stripchart\fR command creates a new window (given by the
\fIpathName\fR argument) and makes it into a stripchart widget.
Additional
options, described above, may be specified on the command line
or in the option database
to configure aspects of the stripchart such as its colors, font,
text, and initial relief.  The \fBvu_stripchart\fR command returns its
\fIpathName\fR argument.  At the time this command is invoked,
there must not exist a window named \fIpathName\fR, but
\fIpathName\fR's parent must exist.
.PP
A stripchart is a widget
that displays a time series as a sequence of strips of differing heights,
rather like the X program xload(1).

.SH "WIDGET COMMAND"
.PP
The \fBvu_stripchart\fR command creates a new Tcl command whose
name is \fIpathName\fR.  This
command may be used to invoke various
operations on the widget.  It has the following general form:
.DS C
\fIpathName option \fR?\fIarg arg ...\fR?
.DE
\fIOption\fR and the \fIarg\fRs
determine the exact behavior of the command.  The following
commands are possible for stripchart widgets:
.TP
\fIpathName \fBset\fR ?\fIvalue\fR?
Add a new strip with the specified value to the stripchart.
.TP
\fIpathName \fBconfigure\fR ?\fIoption\fR? ?\fIvalue option value ...\fR?
Query or modify the configuration options of the widget.
If no \fIoption\fR is specified, returns a list describing all of
the available options for \fIpathName\fR (see \fBTk_ConfigureInfo\fR for
information on the format of this list).  If \fIoption\fR is specified
with no \fIvalue\fR, then the command returns a list describing the
one named option (this list will be identical to the corresponding
sublist of the value returned if no \fIoption\fR is specified).  If
one or more \fIoption\-value\fR pairs are specified, then the command
modifies the given widget option(s) to have the given value(s);  in
this case the command returns an empty string.
\fIOption\fR may have any of the values accepted by the \fBvu_stripchart\fR
command.
.TP
\fIpathName \fBget\fR
Returns the most recently set value.
.TP
\fIpathName \fBreset\fR
Resets the stripchart by clearing all strips and clearing all previously
set values.
.TP
\fIpathName \fBstart\fR
Starts the callback routine.  The Tcl command given in the -command switch
is executed periodically .  The period is given in the -interval switch
(in seconds).
.TP
\fIpathName \fBstop\fR
Stops the callback routine.
.TP
\fIpathName \fBswap\fR
Swaps the current colour scheme with the alternative colour scheme and
redisplays the widget with this new colour scheme.
.TP
\fIpathName \fBreplace\fP ?\fIoption\fR? ?\fIvalue option value ...\fR?
Saves the current colour scheme (in the alternative colour scheme) and
reconfigures the widget with the specified options.
.TP

.SH KEYWORDS
stripchart, widget
